import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.parsers.*;
import java.io.*;
import java.util.*;

/* Reads the config file. Standard code */
public class ReadConfigFile {
	public void Read(File ConfigFile) throws InvalidXMLError {
		org.xml.sax.ContentHandler handler = new ConfigHandler();
		try {
			SAXParserFactory factory = SAXParserFactory.newInstance();
			SAXParser saxParser = factory.newSAXParser();
			XMLReader parser = saxParser.getXMLReader();

			parser.setContentHandler(handler);
			parser.parse(ConfigFile.getPath());	
		}
		catch (Exception e) {
			e.printStackTrace();
			throw new InvalidXMLError();
		}
	}
}