import org.xml.sax.*;
import org.xml.sax.helpers.*;
import javax.xml.parsers.*;
import java.io.*;
import java.util.*;

class InvalidXMLError extends Exception {
}

/* Reads in a file of Sudoku puzzles. Standard code */
public class ReadFile {
	public Vector Read(File InputFile) throws InvalidXMLError {
		org.xml.sax.ContentHandler handler = new SudokuHandler();
		try {
			SAXParserFactory factory = SAXParserFactory.newInstance(  );
			SAXParser saxParser = factory.newSAXParser(  );
			XMLReader parser = saxParser.getXMLReader(  );

			parser.setContentHandler( handler );
			parser.parse( InputFile.getPath());	
		}
		catch (Exception e) {
			throw new InvalidXMLError();
		}

		return ((SudokuHandler) handler).getPuzzles();
	}
}