import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;
import java.awt.print.*;

/* This shows what will be printed, and gives the user the option to print, or not print */
public class PrintFrame implements ActionListener {
	
	PrintLayoutPanel PLP;
	JButton PrintButton, CancelButton;
	JPanel ButtonPanel;
	JFrame frame;
	
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == PrintButton) {
			PLP.print();
			frame.setVisible(false);
			frame.dispose();
		}
		if (e.getSource() == CancelButton) {
			frame.setVisible(false);
			frame.dispose();
		}
	}
	
	public PrintFrame(boolean Solution, boolean Difficulty, boolean Source, boolean Author,
						boolean CreationDate, boolean Type, boolean SourceDate,
						boolean Attempted, Puzzle PP) {
		super();
		PLP = new PrintLayoutPanel(Solution,
									Difficulty,
									Source,
									Author,
									CreationDate,
									Type,
									SourceDate,
									Attempted,
									PP);
													
		PrintButton = new JButton("Print");
		PrintButton.addActionListener(this);
		
		CancelButton = new JButton("Cancel");
		CancelButton.addActionListener(this);
		
		ButtonPanel = new JPanel();
		ButtonPanel.add(PrintButton);
		ButtonPanel.add(CancelButton);
		
		frame = new JFrame();
		frame.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		frame.getContentPane().add(PLP, BorderLayout.CENTER);
		frame.getContentPane().add(ButtonPanel, BorderLayout.SOUTH);
		frame.pack();	
	
		frame.setVisible(true);	
	}
}