import java.util.*;
import java.io.*;

/* The main class. Reads the config file, sets a few things up and then kicks off Display */
public class SolvePuzzle {
	public static void main(String[] args) {
		
		ReadConfigFile rcf = new ReadConfigFile();
		
		try {
			rcf.Read(new File("asudoku.conf"));
		} catch (InvalidXMLError ixe) {
			ixe.printStackTrace();
		}
		Display.setAllImagePaths(ConfigHandler.AllImagePaths);	
		DigitPanel.setInitialImages();				
		Display d = new Display();	
		d.setImageLocation(ConfigHandler.ImageLocation);
	}
}